% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/moduleSettings.R
\name{module_settings_server}
\alias{module_settings_server}
\title{module_settings_server}
\usage{
module_settings_server(input, output, session, rv, input_re, ...)
}
\arguments{
\item{input}{Shiny server input object}

\item{output}{Shiny server output object}

\item{session}{Shiny session object}

\item{rv}{The global 'reactiveValues()' object, defined in server.R}

\item{input_re}{The Shiny server input object, wrapped into a reactive
expression: input_re = reactive({input})}

\item{...}{Further arguments, such as `logfilename`, `csvdir` and `plotdir`}
}
\value{
The function returns a shiny server module.
}
\description{
module_settings_server
}
\examples{
if (interactive()) {
rv <- list()
logfilename <- paste0(tempdir(), "/log.txt")
shiny::callModule(
  module_settings_server,
  "moduleSettings",
  rv = rv,
  logfilename = logfilename
)
}

}
\seealso{
\url{https://shiny.rstudio.com/articles/modules.html}
}
